unit Unit5;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ActnList, Grids, Db, DBCtrls, DBTables, ExtCtrls;

type
  TForm5 = class(TForm)
    BitBtn1: TBitBtn;
    StringGrid1: TStringGrid;
    ModuleListBox: TListBox;
    TypeListBox: TListBox;
    SallesListBox: TListBox;
    DataSource1: TDataSource;
    Table1: TTable;
    EnsListBox: TDBListBox;
    Panel1: TPanel;
    DBNavigator1: TDBNavigator;
    procedure BitBtn1Click(Sender: TObject);
    Procedure ModelEmploi(Sender: TObject);
    procedure StringGrid1MouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    Procedure ChoixModules(Sender: TObject);
    Procedure ChoixTypes(Sender: TObject);
    Procedure ChoixEns(Sender: TObject);
    Procedure ChoixSalles(Sender: TObject);
    Procedure EffaceBoitesListes(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

Var
  Form5: TForm5;
  Colonne, Ligne: Longint;
  Ref : Integer;

implementation

{$R *.DFM}

Procedure TForm5.EffaceBoitesListes(Sender: TObject);
Begin
     ModuleListBox.Visible := False;
     TypeListBox.Visible   := False;
     EnsListBox.Visible    := False;
     SallesListBox.Visible := False;
End;

procedure TForm5.BitBtn1Click(Sender: TObject);

begin
     Form5.Close;
end;

Procedure TForm5.ModelEmploi(Sender: TObject);
Begin
     With StringGrid1 Do
     Begin
          Font.Color := clBlue;
          Cells[1,0]:='       Samedi';
          Cells[2,0]:='      Dimanche';
          Cells[3,0]:='        Lundi';
          Cells[4,0]:='        Mardi';
          Cells[5,0]:='      Mercredi';
          Cells[6,0]:='        Jeudi';

          Cells[0,2]:='      08H 00mn';
          Cells[0,3]:='      09H 25mn';
          Cells[0,6]:='      09H 35mn';
          Cells[0,7]:='      11H 00mn';
          Cells[0,10]:='     11H 10mn';
          Cells[0,11]:='     12H 35mn';
          Cells[0,14]:='     14H 00mn';
          Cells[0,15]:='     15H 30mn';
          Cells[0,18]:='     15H 45mn';
          Cells[0,19]:='     17H 15mn';
     End;
     While Not Table1.Eof Do
          Begin
               EnsListBox.Items.Add(Table1.FieldByName('Nom').AsString);
               Table1.Next;
          End
End;

Procedure TForm5.StringGrid1MouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);

Begin
     StringGrid1.MouseToCell(X, Y, Colonne, Ligne);

     If Colonne > 0 Then
     Case Ligne Of
     1,5,9,13,17 : Begin
                        ModuleListBox.Visible := True;
                        TypeListBox.Visible   := False;
                        EnsListBox.Visible    := False;
                        SallesListBox.Visible := False;
                   End;

     2,6,10,14,18 : Begin
                         TypeListBox.Visible   := True;
                         ModuleListBox.Visible := False;
                         EnsListBox.Visible    := False;
                         SallesListBox.Visible := False;
                    End;
     3,7,11,15,19 : Begin
                         EnsListBox.Visible    := True;
                         ModuleListBox.Visible := False;
                         TypeListBox.Visible   := False;
                         SallesListBox.Visible := False;
                    End;
     4,8,12,16,20 : Begin
                         SallesListBox.Visible := True;
                         ModuleListBox.Visible := False;
                         TypeListBox.Visible   := False;
                         EnsListBox.Visible    := False;
                    End;
     End;
End;

Procedure TForm5.ChoixModules(Sender: TObject);

Begin
     Ref := ModuleListBox.ItemIndex;
     StringGrid1.Cells[Colonne, Ligne] := ModuleListBox.Items.Strings[Ref];
     ModuleListBox.Visible := False;
End;

Procedure TForm5.ChoixTypes(Sender: TObject);

Begin
     Ref := TypeListBox.ItemIndex;
     StringGrid1.Cells[Colonne, Ligne] := TypeListBox.Items.Strings[Ref];
     TypeListBox.Visible := False;
End;

Procedure TForm5.ChoixEns(Sender: TObject);

Begin
     Ref := EnsListBox.ItemIndex;
     StringGrid1.Cells[Colonne, Ligne] := EnsListBox.Items.Strings[Ref];
     EnsListBox.Visible := False;
End;

Procedure TForm5.ChoixSalles(Sender: TObject);

Begin
     Ref := SallesListBox.ItemIndex;
     StringGrid1.Cells[Colonne, Ligne] := SallesListBox.Items.Strings[Ref];
     SallesListBox.Visible := False;
End;

end.
